
var toBeResized = [];

function handleResize() {

	//console.log("Resize");
	
	for (var i=0; i<toBeResized.length; i++) {
		//console.log(toBeResized[i]);
		if (!(typeof toBeResized[i] ==="undefined")) {
			toBeResized[i](); 
		}
	}
	
};

function hasToBeResized(iFunction){
	toBeResized.push(iFunction);	
}

var resizeTimer;
var winWidth = $(window).width(),
    winHeight = $(window).height();

$(window).resize(function() {
	//console.log("Resize requested");
	
	// This is added to prevent infinite loop in IE
	//New height and width
    var winNewWidth = $(window).width(),
    winNewHeight = $(window).height();

    // compare the new height and width with old one
    if(winWidth!=winNewWidth || winHeight!=winNewHeight)
    {
        clearTimeout(resizeTimer);
		resizeTimer = setTimeout(handleResize, 30);
    }
    //Update the width and height
    winWidth = winNewWidth;
    winHeight = winNewHeight;


});

