
// Static class
var International = function(){
} 

var internationalData = {};

International.load = function(iFile){

	//console.log("Load international ...");

	internationalData = {};
	
	$.ajaxSetup( { "async": false } );
	$.getJSON(iFile, function(data) {
	  
	  $.each(data, function(key, val) {
	    //console.log("key:"+key + " value:" + val + "");
		
		var newValue = {};
		$.each(val, function(keyText, valueText) {
			//console.log("keyText:"+keyText + " valueText:" + valueText + "");
			newValue[keyText]=valueText;
		});
		
		internationalData[key] = newValue;
		
	  });
	
	});
	$.ajaxSetup( { "async": true } );

}

International.listDefinedLanguages = function(){
	
	var aList = [];
	$.each( internationalData, function( key, value ) {
		aList.push(key);
	});
	return aList;
	
}

International.translate = function( iLanguage, iField, iDefault ){

	var value = iDefault;
	if (!(typeof internationalData[iLanguage] === "undefined" )) {
	
		if (!(typeof internationalData[iLanguage][iField] === "undefined" )) {
			 value = internationalData[iLanguage][iField];
		}
	
	}

	return value;
	
}