// For IE 
if (typeof console==="undefined") {
	window.console = {
        log: function () {}
    };
}

// Again IE !!
if(!Array.indexOf){  
	Array.prototype.indexOf = function(obj){  
	    for(var i=0; i<this.length; i++){  
	        if(this[i]==obj){  
	            return i;  
	        }  
	    }  
	    return -1;  
	}  
}  

// TOOL  // TODO really needs to create a tool library for that
function valid(iField){
	return !(typeof iField==="undefined");
}

function logError(iString,iData){
	console.log(iString);
	console.log(iData);
	alert(iString);
}


function nearestF(iElement,iSelector,iMin,iMax){
	
	//console.log("Nearest function:"+iMax);
	var nearest = $();
	if (iMax>0) {
		
		var found = $(iElement).children(iSelector);
		//console.log("Found direct children with selector : ("+found.length+","+iMax+")");
		if (found.length==0) {
		
			// take all childrens
			var found = $(iElement).children();
			var dMin = 10000;
			for (var j=0; j<found.length; j++) {
			
				var internalNearest = nearestF(found[j], iSelector, iMin+1 , iMax-1);
				if (internalNearest.d<dMin) {
					dMin = internalNearest.d;
					nearest = internalNearest.nearest;
				} else if (internalNearest.d==dMin) {
					for (var i=0; i<internalNearest.nearest.length; i++) {
						nearest.push(internalNearest.nearest[i]);
					}
				}
				
			}
			
			return { 'd' : dMin , 'nearest' : nearest }; 
		
		} else {
			for (var j=0; j<found.length; j++) {
				nearest.push(found[j]);
			}
			return { 'd' : iMin , 'nearest' : nearest }; 
		}
	} else {
		return { 'd' : 10001 , 'nearest' : nearest }; 
	}

}



// this is there to select nearest descendent of selector
$.fn.nearest = function(selector,max) {
	
	var nearest = $();
	
	//console.log("Nearest call:"+max);
	var result = nearestF(this,selector,0,max);
	
	return result.nearest;

}

// exists
$.fn.exists = function(){return this.length>0;}

// jQuery solution to setup a caret at a position
$.fn.selectRange = function(start, end) {
    return this.each(function() {
        if (this.setSelectionRange) {
            this.focus();
            this.setSelectionRange(start, end);
        } else if (this.createTextRange) {
            var range = this.createTextRange();
            range.collapse(true);
            range.moveEnd('character', end);
            range.moveStart('character', start);
            range.select();
        }
    });
};

// TODO to review both functions against != attributes across browsers
$.fn.disableSelection = function() {
        return this
                 .attr('unselectable', 'on')
                 .css('user-select', 'none')
                 .on('selectstart', false);
};

$.fn.enableSelection = function() {
        return this
                 .attr('unselectable','off')
                 .css('user-select', 'text')
                 .on('selectstart', true);
};

$.cssHooks.backgroundColor = {
    get: function(elem) {
        if (elem.currentStyle)
            var bg = elem.currentStyle["backgroundColor"];
        else if (window.getComputedStyle)
            var bg = document.defaultView.getComputedStyle(elem,
                null).getPropertyValue("background-color");
        if (bg.search("rgb") == -1) {
            return bg;
        } else if (bg.search("rgba") !=-1) { // Correction for chrome
        	
        	bg = bg.match(/^rgba\((\d+),\s*(\d+),\s*(\d+),\s*(\d+)\)$/);
            function hex(x) {
                return ("0" + parseInt(x).toString(16)).slice(-2);
            }
            //console.log("#" + hex(bg[1]) + hex(bg[2]) + hex(bg[3]) );
            if (bg[4]==0) { // Means Alpha = 0 => no color
            	return;
            } else {
            	return "#" + hex(bg[1]) + hex(bg[2]) + hex(bg[3]);
            }
            
        } else {
            
            bg = bg.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
            function hex(x) {
                return ("0" + parseInt(x).toString(16)).slice(-2);
            }
            return "#" + hex(bg[1]) + hex(bg[2]) + hex(bg[3]);
        
        }
    }
}

// Enable navigation management

var hashFunctionToCall = [];

var HashCall = {};

HashCall.pushHashFunction = function(iFunction) {
	hashFunctionToCall.push(iFunction);
}

$(document).ready(function() {
   
    $.history.init(function(hash){
        if(hash == "") {
            // initialize your app
            //console.log("The app is initialized");
        } else {
            // restore the state from hash
        	//console.log("Go to hash "+hash);
        	for (var i=0;i<hashFunctionToCall.length; i++) {
        		hashFunctionToCall[i].call(this, hash);
        	}
        	
        }
    },
    { unescape: "#=" });
   

});

$.fn.textWidth = function(text){
  var org = $(this);
  var html = $('<div "position:relative;overflow:hidden;"><span style="position:absolute;width:auto;height:auto;left:-9999px;visibility:hidden;white-space:nowrap;">' + (text || org.html()) + '</span></div>');
  if (!text) {
    html.css("font-family", org.css("font-family"));
    html.css("font-size", org.css("font-size"));
  }
  $('body').append(html);
  var width = html.children("span").width();
  html.remove();
  return width;
}

$.fn.textHeight = function(text){
  var org = $(this);
  var html = $('<div "position:relative;overflow:hidden;"><span style="position:absolute;width:auto;height:auto;left:-9999px;visibility:hidden;white-space:nowrap;">' + (text || org.html()) + '</span></div>');
  if (!text) {
    html.css("font-family", org.css("font-family"));
    html.css("font-size", org.css("font-size"));
  }
  $('body').append(html);
  var height = html.children("span").height();
  html.remove();
  return height;
}

// Split location

function getHashSplit(iHash){

	var result = {};
	var elements = ("#"+iHash).split("#");	
	if (elements.length>1) {
		
		for (var i=1;i<elements.length; i++) {
		
			var keyValue = elements[i].split("=");
			result[keyValue[0]] = keyValue[1];
		
		}
		
	}
	return result;

}

function getLocationSplit(){

	var result = {};
	var elements = window.location.href.toString().split("#");	
	if (elements.length>1) {
		
		for (var i=1;i<elements.length; i++) {
		
			var keyValue = elements[i].split("=");
			result[keyValue[0]] = keyValue[1];
		
		}
		
	}
	return result;

}



function buildLocationHash(iElements){
	var hash = "";
	for (var i in iElements) {
		hash = hash+ "#" +i+ "=" +iElements[i] ;
	}
	return hash;
}

String.prototype.hashCode = function(){
    var hash = 0, i, achar;
    if (this.length == 0) return hash;
    for (i = 0; i < this.length; i++) {
        achar = this.charCodeAt(i);
        hash = ((hash<<5)-hash)+achar;
        hash = hash & hash; // Convert to 32bit integer
    }
    return hash.toString(16);
};


// Size of an object
Object.size = function(obj) {
    var size = 0, key;
    for (key in obj) {
        if (obj.hasOwnProperty(key)) size++;
    }
    return size;
};



