// ######################## EVENT HANDLER ON WINDOW RESIZE #############

var aInitHashmapResize = [];

function handleDependentResize(iElement,iChain,iForceResize) {

	//console.log('handleDependentResize');
	//console.log(iElement);
	//console.log('selected elements:');

	var aElement = $(iElement);

	var visibility = "visible";
	if (!(iElement === document)) {
		visibility = aElement.css("visibility");
	}
	
	if (visibility!="hidden") {
	
		var aNear = aElement.nearest(ELEMENTCLASSLIST,4);
		for (var j=0; j<aNear.length;j++) {
		
			var value = aNear[j]; 
			var aClass = $(value).attr("class").split(" ");
			
			if (aClass.length>1) {
				for (var i=0;i<aClass.length;i++) {
					var aObject = aInitHashmapResize[aClass[i]];
					if (valid(aObject)) {
						Element.resizeInChain(aObject,value,iChain,iForceResize);
					}
				}
			} else {
				var aObject = aInitHashmapResize[aClass[0]];
				Element.resizeInChain(aObject,value,iChain,iForceResize);
			}
					
		}
	
	}
	
}

function handleLayoutResize() {

	//console.log("Handle layout resize:");
	handleDependentResize(document);
		
}

function initHashTableResize() {

	aInitHashmapResize["gridlayout"] = GridLayout;
	aInitHashmapResize["containerElement"] = ContainerElement;
	aInitHashmapResize["scrollContainerElement"] = ScrollContainerElement;
	aInitHashmapResize["textelement"] = TextElement;
	aInitHashmapResize["textinputelement"] = TextInputElement;
	aInitHashmapResize["imgelement"] = ImageElement;
	aInitHashmapResize["linearlistlayout"] = LinearListLayout;
	aInitHashmapResize["mapperelement"] = MapperElement;
	aInitHashmapResize["verticalbarelement"] = VerticalBarElement;
	aInitHashmapResize["sliderelement"] = SliderElement;
	aInitHashmapResize["buttonelement"] =  ButtonElement;

}

initHashTableResize();
hasToBeResized(handleLayoutResize);