// ######################## DEFINE Mapper Element ######################

var MapperElement = function(iID){
	Element.call(this);
	this.id = iID;
	this.element = "#"+iID;
} 

MapperElement.prototype = new Element();
MapperElement.prototype.constructor = MapperElement;


MapperElement.prototype.implement = function () {
	
	var html_code =  "<div id='"+this.id+"' class='mapperelement' style='position:absolute; top 0px; left: 0px; margin : 0px; padding: 0px; overflow : visible;' ></div>";
	return html_code;
	
}

MapperElement.prototype.afterInsert = function() {
	
	$(this.element).data('prop', this.prop);
	
	MapperElement.resize(this.element);
	
}

// Static method
MapperElement.resize = function(iMapper,iChain,iForceResize){
	
	//console.log("Resize mapper :"+iMapper);
	//console.log($(iMapper).attr('id'));
	
	var aMapper = $(iMapper);
	//console.log(prop);
	var wrap = false;
	if (!(typeof prop==='undefined')) {
	
		if (!(typeof prop.wrap==='undefined')) {
			
			wrap = prop.wrap;
			
		}
	
	}
	
	if (wrap) {
		
		handleDependentResize(aMapper,iChain,iForceResize); // Pre resize
		var children = aMapper.children();
		if (!(typeof children==="undefined")) {
			aMapper.width(children.outerWidth(true));
			aMapper.height(children.outerHeight(true));
		} else {
			aMapper.width(0);
			aMapper.height(0);
		}
		
	} else {
		var parent = aMapper.parent();
		//console.log("width:"+parent.innerWidth());
		//console.log("height:"+parent.innerHeight());
		aMapper.width(parent.innerWidth()); 
		aMapper.height(parent.innerHeight());
		handleDependentResize(aMapper,iChain,iForceResize);
	}	
	
	Element.resizeSpecialElements(iMapper,iChain);
	
}
